<?php

namespace app\controllers;

use app\commands\Clasificadores\TipoClasificador;
use app\models\Capa;
use app\models\Capadetalle;
use app\models\Clasificadorcomun;
use app\models\ClasificadorcomunSearch;
use app\models\Imagen;
use app\models\Proyecto;
use moonland\phpexcel\Excel;
use Yii;
use app\models\User;
use app\models\UserSearch;
use yii\filters\AccessControl;
use yii\helpers\ArrayHelper;
use yii\helpers\Url;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\web\Response;

/**
 * UserController implements the CRUD actions for User model.
 */
class DashboardController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access'=>[
                'class'=>AccessControl::classname(),
                'rules'=>[
                    [
                        'allow'=>true,
                        'roles'=>['@']
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    /**
     * Muestra el Dashboard al usuario
     * @return mixed
     */
    public function actionIndex()
    {
        //$searchModel = new UserSearch();
        //$dataProvider = $searchModel->search(Yii::$app->request->queryParams);
        $comboTipoMapa = ClasificadorcomunSearch::combo( TipoClasificador::TipoMapa );
        $comboCapas = Capa::find()->all();
        /*
        $comboCapas = ArrayHelper::map($comboCapas,'IdCapa',function($model){

            return $model->idcTipoCapa->Nombre;
        });*/
        $tipoMapas = ClasificadorcomunSearch::allItems(TipoClasificador::TipoMapa);

        return $this->render('index',[
                'comboCapas' => $comboCapas,
                'tipoMapas' => $tipoMapas,
        ]);
    }





    //json ajax
    public function actionGetcapa($id){
        Yii::$app->response->format = Response::FORMAT_JSON;

        $lista = Capadetalle::find()->where(['IdCapa'=>$id])->all();

        $grupoxCodigo=[];
        $yearMax=$yearMin=0;
        $valorMax=$valorMin=0;

        /** @var Capa $capa */
        $capa = Capa::find()->where(["IdCapa"=>$id])->one();

        $IdCapa=0;
        $TipoMapa = 0;
        $NombreCapa="";
        if( !is_null($capa) ){
            $IdCapa = $capa->IdCapa;
            $TipoMapa= $capa->IdcTipoMapa;
            $NombreCapa = $capa->idcTipoCapa->Nombre;
        }



        /** @var Capadetalle $item */
        foreach( $lista as $item ){
            if( !isset( $grupoxCodigo[ $item->Anio ] ) ) { $grupoxCodigo[ $item->Anio ]=[];  $yearMax=$yearMin=$item->Anio; $valorMax=$valorMin=$item->valor;  };
            $grupoxCodigo[ $item->Anio ][$item->Codigo] =  $item->valor  ;

            if( $item->Anio > $yearMax ) $yearMax= $item->Anio;
            if( $item->Anio < $yearMin ) $yearMin= $item->Anio;

            if( $item->valor > $valorMax ) $valorMax= $item->valor;
            if( $item->valor < $valorMin ) $valorMin= $item->valor;

        }


        return [ "IdCapa"=>$IdCapa,"TipoMapa"=>$TipoMapa, "NombreCapa"=>$NombreCapa, "YearMin"=>$yearMin,"YearMax"=>$yearMax,"ValorMin"=>$valorMin,"ValorMax"=>$valorMax , "Data"=>$grupoxCodigo];

    }


    public function actionGetmarkers(){
        Yii::$app->response->format = Response::FORMAT_JSON;

        /** @var  Proyecto[] $list */
        $list = Proyecto::find()->where( 'proyecto.Latitud is not null and proyecto.Longitud is not null' )->all();
        $data = [];
        foreach( $list as $item ){
            /** @var Imagen[] $images */

            $images = Imagen::find()->where(["IdProyecto"=>$item->IdProyecto])->orderBy(['FechaCreacion'=>SORT_DESC])->all();

            $pictures = [];
            $image =null;
            if(  count($images)>0 ){
                $image = $images[0];
                foreach( $images as $img ){
                    $pictures[] = \yii\helpers\Url::base(true).$img->Filename.".jpg";
                }
            }

            //$data[] = [ "id"=>$item->IdProyecto,"L"=>["lat"=>$item->Latitud,"lng"=>$item->Longitud],"Nom"=>$item->NombreProyecto,"Desc"=>$item->Descripcion,"img"=>!empty($item->Imagen)?\yii\helpers\Url::base(true).$item->Imagen:'',"xls"=>!empty($item->LinkExcel)?$item->LinkExcel:'' ];
            $data[$item->IdProyecto] = [ "id"=>$item->IdProyecto,"L"=>["lat"=>$item->Latitud,"lng"=>$item->Longitud],"Nom"=>$item->NombreProyecto,"Desc"=>$item->Descripcion,"img"=>!empty($image)?\yii\helpers\Url::base(true).$image->Filename."_150x150.jpg":'',"xls"=>!empty($item->LinkExcel)?$item->LinkExcel:'',"imgs"=>$pictures ];

        }
        return $data;

    }





}
