<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "imagen".
 *
 * @property integer $IdImagen
 * @property integer $IdProyecto
 * @property string $descripcion
 * @property string $Filename
 * @property integer $CreadoPor
 * @property string $FechaCreacion
 *
 * @property Proyecto $idProyecto
 * @property User $creadoPor
 */
class Imagen extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'imagen';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['IdProyecto'], 'required'],
            [['IdProyecto', 'CreadoPor'], 'integer'],
            [['FechaCreacion'], 'safe'],
            [['descripcion', 'Filename'], 'string', 'max' => 255],
            [['IdProyecto'], 'exist', 'skipOnError' => true, 'targetClass' => Proyecto::className(), 'targetAttribute' => ['IdProyecto' => 'IdProyecto']],
            [['CreadoPor'], 'exist', 'skipOnError' => true, 'targetClass' => User::className(), 'targetAttribute' => ['CreadoPor' => 'id']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'IdImagen' => 'Id Imagen',
            'IdProyecto' => 'Id Proyecto',
            'descripcion' => 'Descripcion',
            'Filename' => 'Filename',
            'CreadoPor' => 'Creado Por',
            'FechaCreacion' => 'Fecha Creacion',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getIdProyecto()
    {
        return $this->hasOne(Proyecto::className(), ['IdProyecto' => 'IdProyecto']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getCreadoPor()
    {
        return $this->hasOne(User::className(), ['id' => 'CreadoPor']);
    }
}
