<?php

use kartik\select2\Select2;
use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $searchModel app\models\ProyectoSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Proyectos';
$this->params['breadcrumbs'][] = $this->title;

$param = $param = Yii::$app->request->queryParams;

?>

<div class="proyecto-index">
    <?php
        foreach (Yii::$app->session->getAllFlashes() as $key => $message) {
            echo '<div class="alert alert-' . $key . '">' . $message . '</div>';
        }
    ?>

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Importar Proyecto', ['importacion/proyectoexcel'], ['class' => 'btn btn-success']) ?>
    </p>
    <?= GridView::widget([
            'dataProvider' => $dataProvider,
            'filterModel' => $searchModel,
            'columns' => [
                    ['class' => 'yii\grid\SerialColumn'],

                //'IdProyecto',
                    'NombreProyecto',
                //  'IdcTipoProyecto',

                /*
                    [
                            'attribute'=>'TipoProyecto',
                            'label'=>'Tipo de Proyecto',
                            'value'=>function($model){ return $model->idcTipoProyecto->Nombre; },
                            'filter'=>Html::dropDownList('ProyectoSearch[IdcTipoProyecto]',isset($param['ProyectoSearch']['IdcTipoProyecto'])?$param['ProyectoSearch']['IdcTipoProyecto']:0,$comboTipoProyecto,['class'=>'form-control','prompt'=>'--Seleccionar--' ] ),

                    ],
                    [
                            'attribute'=>'Empresa',
                            'label'=>'Empresa',
                            'value'=>function($model){ return $model->idEmpresa->RazonSocial; },
                            'filter'=> Select2::widget([
                                    'name' => 'ProyectoSearch[IdEmpresa]',
                                    'data' => $comboEmpresas,
                                    'value'=> isset($param['ProyectoSearch']['IdEmpresa'])?$param['ProyectoSearch']['IdEmpresa']:0,
                                //'hideSearch' => true,
                                    'options' => [
                                            'placeholder' => 'Seleccione Empresa'
                                    ],
                                    'pluginOptions' => [
                                            'allowClear' => true
                                    ],
                            ])
                    ],
                */



                //'IdEmpresa',
                //'SuperficieTerreno',
                // 'SuperficieTotalConstruida',
                // 'CostoTotalProyecto',
                // 'FinanciamientoRequerido',
                // 'Notas:ntext',
                // 'Latitud',
                // 'Longitud',
                // 'IdCreadoPor',
                //'FechaCreacion',
                 //'IdModificadoPor',
                [
                    'label'=>'Modificado por',
                    'value'=>'idModificadoPor.username'
                    /*
                        'format'=>'raw',
                        'value'=> function($model){
                            return "<img src='http://localhost:8080/mapasWeb/mapwebsite/web/proyecto/da4b9237bacccdf19c0760cab7aec4a8359010b0.jpg' width='200'><strong>hhhh</strong>";
                        }
                    */


                ],
                 'FechaModificacion',

                    ['class' => 'yii\grid\ActionColumn',

                            'template' => '{ver} {edit} {img}',
                            'buttons' => [
                                    'ver' => function($url, $model, $id) {
                                        return Html::a('<span class="glyphicon glyphicon-eye-open"></span>',["proyecto/view","id"=>$model->IdProyecto], ['title' => Yii::t('app', 'Ver'),'data'=>$model->IdProyecto,'class'=>'verDetalle']);

                                    },
                                    'edit'=>function($url, $model, $id){
                                        return Html::a('<span class="glyphicon glyphicon-pencil"></span>',["proyecto/update","id"=>$model->IdProyecto], ['class'=>'']);
                                    },
                                    'img'=>function($url, $model, $id){
                                        return Html::a('<span class="glyphicon glyphicon-picture"></span>',["imagen/index","id"=>$model->IdProyecto], ['class'=>'']);
                                    }
                            ]

                    ],
            ],
    ]); ?>


</div>
